[Yum-devel] createrepo dup of 715108 on EL6

James Antill james at fedoraproject.org
Wed Jul 27 14:37:20 UTC 2011


On Wed, 2011-07-27 at 10:19 -0400, JohnS wrote:
> The prob is:
> 
> "iso-8859-1 encoding on..." An offending rpm package.
> 
> createrepo complains about.  Although it seems it does not crash etc..
> and repodata is still made and valid as the repo data is good.

 This isn't a problem ... createrepo is just letting you know that
non-utf8 data is in a package (almost always in a changelog).

 This has nothing to do with 715108.

> Version: createrepo-0.9.8-4.el6.noarch & yum-3.2.27-14.el6.noarch
> 
> It seems this commit is the fix for Fedora?  Which also may fix EL6
> 
> commit 3c03ef1d703468f1fadab7325f97f135e7584511
> Author: James Antill <james at and.org>
> Date:   Mon Jul 11 17:23:09 2011 -0400

 I can't find this commit, and bug 715108 isn't a problem in RHEL-6 atm.
as the createrepo in RHEL-6 doesn't enable libc collapsing (and the yum
side is currently about 4 bugs behind, of which 715108 was the
latest ... so that couldn't happen if createrepo was updated).



More information about the Yum-devel mailing list